var isIE = false;
var req;

function getElementTextNS(prefix, local, parentElem, index) {
    var result = "";
    if (prefix && isIE) {
        result = parentElem.getElementsByTagName(prefix + ":" + local)[index];
    } else {
        result = parentElem.getElementsByTagName(local)[index];
    }
    if (result) {
        if (result.childNodes.length > 1) {
            return result.childNodes[1].nodeValue;
        } else {
            if (result.firstChild != null)
            {
                return result.firstChild.nodeValue;    		                
            }
            else
            {
                return "";
            }
        }
    } else {
        return "";
    }
}

function getValueFromNode(result)
{
    if (result) {
        if (result.childNodes.length > 1) {
            return result.childNodes[1].nodeValue;
        } else {
            if (result.firstChild != null)
            {
                return result.firstChild.nodeValue;    		                
            }
            else
            {
                return "";
            }
        }
    } else {
        return "";
    }
}

// Customer.js

var GlobalDelayAReqId = 0;
var GlobalDelayAReqCommand = "GlobalSearch();";
var div2Update = "contacts";

function GlobalDelaySearch()
{
    if (GlobalDelayAReqId != 0)
    {
        window.clearTimeout(GlobalDelayAReqId);
    }
    GlobalDelayAReqId = window.setTimeout(GlobalDelayAReqCommand,500);
}

function GlobalSearch()
{
    var attrs = "";
    for(i=0; i<document.forms["searchForm"].elements.length; i++){
        //alert(document.forms["searchForm"].elements[i].name + ' - ' + document.forms["searchForm"].elements[i].value)
        if (document.forms["searchForm"].elements[i].name != "" && document.forms["searchForm"].elements[i].value != "")
        {
            var pname = document.forms["searchForm"].elements[i].name;
            if (pname != "pagename" && pname != "submit" && pname != "nodefaults")
            {
                attrs += "&" + document.forms["searchForm"].elements[i].name + "=" + document.forms["searchForm"].elements[i].value;
            }
        }
    }

    DoSearch(searchurl + attrs);
}

var last_url;
function DoSearch(url)
{
    last_url = url;
    LoadAjax(url);
}

function LoadAjax(url)
{ 
    if (window.XMLHttpRequest) {
        req = new XMLHttpRequest();
        req.onreadystatechange = AjaxResponse;
        req.open("GET", url, true);
        req.send(null);
    } else if (window.ActiveXObject) {
        isIE = true;
        req = new ActiveXObject("Microsoft.XMLHTTP");
        if (req) {
            req.onreadystatechange = AjaxResponse;
            req.open("GET", url, true);
            req.send();
        }
    }   
}

function AjaxResponse() 
{    
    if (req != null)
    {
        if (document.getElementById("ajax_failed") != null)
            document.getElementById("ajax_failed").style.visibility = "hidden";
        if (document.getElementById("ajax_loading") != null)
            document.getElementById("ajax_loading").style.visibility = "visible";
        
        if (req.readyState == 4) {
            if (req.status >= 400)
            {
                if (document.getElementById("ajax_loading") != null)
                    document.getElementById("ajax_loading").style.visibility = "hidden";
                
                if (document.getElementById("ajax_failed") != null)
                    document.getElementById("ajax_failed").style.visibility = "visible";
            }
            else if (req.status == 200) 
            {                
                if (document.getElementById("ajax_loading") != null)
                    document.getElementById("ajax_loading").style.visibility = "hidden";
                
                var rowcount = parseInt(getElementTextNS("", "rowcount", req.responseXML, 0));
                var rowcurrent = parseInt(getElementTextNS("", "rowcurrent", req.responseXML, 0));
                var rowsperpage = parseInt(getElementTextNS("", "rowsperpage", req.responseXML, 0));
                if (rowsperpage == NaN)
                    rowsperpage = 10;
                var pagecurrent = rowcurrent/rowsperpage;
                var s = "",nav = "";
                    
                if (rowcount != NaN)
                {
                    if (rowcount > rowsperpage )
                    {
                        
                        nav += "<table border=0><tr><td width=\"100\">";
                        if (pagecurrent > 0)
                        {
                            nav += "<a href=# onclick=\"LoadAjax(last_url+'&pageno=" + ( pagecurrent - 1) + "'); return false;\">Previous Page</a> &nbsp;";
                        }
                        nav += "&nbsp;</td><td width=\"100\">";
                        if ((rowcount / rowsperpage) - 1 > pagecurrent)
                        {   
                            nav += "<a href=# onclick=\"LoadAjax(last_url+'&pageno=" + ( pagecurrent + 1) + "'); return false;\">Next Page</a>";
                        }
                        nav += "&nbsp;</td></tr></table>";
                    }
                }
                else
                {
                    var pagenext = getElementTextNS("", "pagenext", req.responseXML, 0) ;
                    var pageprevious = getElementTextNS("", "pageprevious", req.responseXML, 0) ;
                    
                    if (pageprevious != "" || pagenext != "")
                    {
                        nav += "<table border=0><tr><td width=\"100\">";
                        if (pageprevious != "")
                        {
                            nav += "<a href=# onclick=\"LoadAjax(last_url+'&prevbase=" + pageprevious + "'); return false;\">Previous Page</a> &nbsp;";
                        }
                        nav += "&nbsp;</td><td width=\"100\">";
                        if (pagenext != "")
                        {
                            nav += "<a href=# onclick=\"LoadAjax(last_url+'&nextbase=" + pagenext + "'); return false;\">Next Page</a>";
                        }
                        nav += "&nbsp;</td></tr></table>";   
                    }
                }                
                s += nav;
                
                var dep = req.responseXML.getElementsByTagName("XMLResponse");
                
                s+= "<table class=contacts cellspacing=0 width=100%>";
                var note = req.responseXML.getElementsByTagName("item");
                if (note.length > 0)
                { 
                    var headers = req.responseXML.getElementsByTagName("headers");
                    s += "<tr>";
                    for (var i = 0; i < headers.length ; i++) 
                    {
                        for (var ii = 0; ii < headers[i].childNodes.length ; ii += 1) 
                        {
                            var link = false;

                                s += "<th class=contacts>";
                                s += getValueFromNode(headers[i].childNodes[ii]);
                                s += "</th>";
                        }
                    }
                    s += "</tr>";
                    for (var i = 0; i < note.length ; i++) 
                    {
                        s += "<tr "
                        if (note[i].attributes.length > 0)
                        {
                            //s += " style='background-color:darkorange;' ";//background-color:lightyellow;
                            s += " style='" + note[i].attributes[0].value + "' ";
//                            for(var li = 0; li < note[i].attributes.length; li ++)
//                            {
//                                s += " "+note[i].attributes[li].name +"=\"" + note[i].attributes[li].value + "\"";
//                            }
                        }
                        s += ">";
                        for (var ii = 0; ii < note[i].childNodes.length ; ii += 1) 
                        {
                            var link = false;
                            s += "<td class=contacts>";
                            if (note[i].childNodes[ii].attributes != null)
                            {
                                if (note[i].childNodes[ii].attributes.length > 0)
                                {
                                    link = true;
                                    s += "<a ";
                                    for(var li = 0; li < note[i].childNodes[ii].attributes.length; li ++)
                                    {
                                        if (note[i].childNodes[ii].attributes[li].name == "url")
                                        {
                                            s += " href='" + note[i].childNodes[ii].attributes[li].value + "'";
                                        }
                                        else
                                        {
                                            s += " " + note[i].childNodes[ii].attributes[li].name + "=\"" + note[i].childNodes[ii].attributes[li].value + "\" ";
                                        }
                                    }
                                    s+= ">";
                                }
                            }
                            s += getValueFromNode(note[i].childNodes[ii]);
                            if (link == true)
                                s += "</a>";
                            s += "&nbsp;</td>";
                        }
                        s += "</tr>";
                    }
                }               
                s += "</table>" + nav;
                
                var add = req.responseXML.getElementsByTagName("add");
                if (add.length > 0)
                { 
                    for (var i = 0; i < add.length; i++) 
                    {
                        s += "<a href=" + getElementTextNS("", "url", add[i], 0) + ">" + getElementTextNS("", "text", add[i], 0) + "</a>";
                    }
                }
                
                var error = getElementTextNS("", "error", req.responseXML, 0) ;
                if (error.length > 0)
                { 
                    s += "Error: " + error + "";  
                }
                    
                document.getElementById(div2Update).innerHTML = s;
            } 
        } 
    }    
}
