var ready = 0;

function update(ev, ui) {
	if (!ready)
		return;
		
	// find and change the pagename field
	var fsel = $("#form_id");
	if (!fsel.length)
	{
		alert('form not found');
		return;
	}
	
	var sid = "";
	var x = fsel.serializeArray();
	$.each(x, function(i, field){
		if (field.name == "pagename") {
			field.value = "ccgrp";
		} else if (field.name == "sessionId") {
			sid = field.value;
		}
	});
	
	// request data and process response
	var uri = "Vision.cgi?"+$.param(x);
	$.getJSON(uri,function(result,status,xhr){
		var tab = $("#agenttab");
		if (!tab.length)
		{
			alert('table not found');
			return;
		}
				
		$("#numag").text("Qualifying Agents: "+result.agents.length);
		tab.empty();	// clear agent table

		if (result.agents.length) {
			// build new agents table
			var aguri = "Vision.cgi?sessionId="+sid+"&totalRows=16&pagename=agent.edit";
			$.each(result.agents, function(i, field) {
				var row = $('<tr></tr>').addClass(i & 1 ? 'autoreportrow2' : 'autoreportrow');
				var ax = "&index="+field.index;
				row.append($("<td></td>").css('width','206px').append($("<a href=\""+aguri+ax+"\"></a>").text(field.name)));
				row.append($('<td></td>').css('text-align','center').text(result.num_caps > 0 ? field.score : '-'));
				tab.append(row);
			});
		}
	});
}

$(function() {	// jQuery shorthand for the document ready event 
	// create sliders in the div objects
	$( ".slider_c" ).slider({
		min: 0, max: 100,
		slide: function( event, ui ) {
			// propagate slider changes to the corresponding edit field
			$( "#skill"+event.target.id.substr(6) )[ 0 ].value = ui.value;
		},
		change: update
	});
	$( ".skill_c" ).change(function()	{
		// install handler to propagate edit field changes to the corresponding slider
		$( "#slider"+$(this)[ 0 ].id.substr(5) ).slider( "value", $(this).val());
	});
	$( ".skill_c" ).each(function(){
		// one-time initialisation of the sliders from the initial skill values
		$( "#slider"+$(this)[ 0 ].id.substr(5) ).slider( "value", $(this).val());
	})
	ready = 1;
	update();
});
