function RotateImage(theElement1,theElement2,theImage)
{
    if(theElement1.className!="transparent")
    {
        theElement1.className="transparent";
    }
    else
    {
        theElement1.className="showable";
        theElement1.src=theImage;
    }
    
    if(theElement2.className!="transparent")
    {
        theElement2.className="transparent";
    }
    else
    {
        theElement2.className="showable";
        theElement2.src=theImage;
    }
}

function CheckAnyChanged()
{
    var changed=0;
//    var f=document.getElementById('detailForm');
	if (typeof document.detailForm == "undefined")
		return 1;
    var f = document.detailForm;
    for(var i = 0 ; i < f.length ; i++)
    {
        if( f.elements[i].type == "text"
             || f.elements[i].type == "password"
             || f.elements[i].type == "textarea"
             )
        {
            if( f.elements[i].value != f.elements[i].defaultValue )
            {
                changed = true;
                break;
            }
        }
        else if( f.elements[i].type == "checkbox" )
        {
            if( f.elements[i].checked != f.elements[i].defaultChecked )
            {
                changed = true;
                break;
            }
        }
        else if( f.elements[i].type == "select-one" )
        {
            var e = f.elements[i];
            for( var ei=0; ei < e.length ; ei++)
            {
                if( e.options[ei].selected != e.options[ei].defaultSelected )
                {
                    changed = true;
                    break;
                }
            }
        }
    }
    if( changed )
    {
        return window.confirm("Are you sure you want to leave this form without saving changes?")
    }
    return 1;
}
                
function validateTime(strFieldName,strMessage)
{
    var objFormField = document.forms[0].elements[strFieldName];
    var strValue = objFormField.value;
    strValue = strValue.split(" ").join("");
    var blnOK;
    
    if (strValue.charAt(2)!=":" || strValue.charAt(5)!=":" )
    {
        alert("You must enter a valid time for the field \"" + strMessage + "\", in the form 00:00:00.");
        objFormField.focus();
        objFormField.value="00:00:00";
        return false; 
    }
    
    if (isNaN(strValue.charAt(0)) || isNaN(strValue.charAt(1)) || isNaN(strValue.charAt(3)) || isNaN(strValue.charAt(4)) || isNaN(strValue.charAt(6)) || isNaN(strValue.charAt(7)) )
    {
        alert("You must enter a valid time for field  in the form 00:00:00.");
        return false;
    }
    
    if (strValue.charAt(0) > 2)
    {
        alert("Hour must be between 0 and 23 in Time field");
        objFormField.focus();
        objFormField.value="00:00:00";
        return false
    }
    
    if (strValue.charAt(0) >= 2 && strValue.charAt(1) > 3 )
    {
        alert("Hour must be between 0 and 23 in Time field");
        objFormField.focus();
        objFormField.value="00:00:00";
        return false
    }
    
    if (strValue.charAt(3) > 5 )
    {
        alert ("Minute must be between 0 and 59 in Time field.");
        objFormField.focus();
        objFormField.value="00:00:00";
        return false
    }
    
    if (strValue.charAt(6) > 5 )
    {
        alert ("Second must be between 0 and 59 in Time field.");
        objFormField.focus();
        objFormField.value="00:00:00";
        return false
    }
    return true;
}

function validateNumbers(txtField)
{
    var strValidChars = "0123456789.";
    var strChar;
    var strString;
    var blnResult = true;
    
    strString = txtField.value;
    
    if (strString.length == 0) 
        return false;
    
    //  test strString consists of valid characters listed above
    for (i = 0; i < strString.length && blnResult == true; i++)
    {
        strChar = strString.charAt(i);
        if (strValidChars.indexOf(strChar) == -1)
        {
            alert("Error :  Entry   "+ txtField.name.toUpperCase()  + " has to be Numeric ");
            blnResult = false;
            txtField.value="0.00";
            txtField.focus();
        }
    }
    return blnResult;
}

function validateNumeric(txtField)
{
    var strValidChars = "0123456789";
    var strChar;
    var strString;
    var blnResult = true;
    
    strString = txtField.value;
    
    if (strString.length == 0) 
        return false;
    
    //  test strString consists of valid characters listed above
    for (i = 0; i < strString.length && blnResult == true; i++)
    {
        strChar = strString.charAt(i);
        if (strValidChars.indexOf(strChar) == -1)
        {
            alert("Error :  Entry   "+ txtField.name.toUpperCase()  + " has to be Numeric ");
            blnResult = false;
            txtField.value="";
            txtField.focus();
        }
    }
    return blnResult;
}

var audio_checked = false;
var html5_audio_ok = false;

function canPlayPCM() {
  var a = document.createElement('audio');
  return !!(a.canPlayType && a.canPlayType('audio/wav; codecs="1"').replace(/no/, ''));
}

function canPlayAlaw() {
  var a = document.createElement('audio');
  return !!(a.canPlayType && a.canPlayType('audio/wav; codecs="6"').replace(/no/, ''));
}

function html5_audio() {
	if (audio_checked == false) {
		if ( canPlayPCM() || canPlayAlaw() )
			html5_audio_ok = true;
		audio_checked = true;
	}
	return html5_audio_ok;
}

var block_gen_notify = false;

function generateNotify() {
	if (block_gen_notify)
		return false;
		
    var theDiv = document.getElementById('notify');
    if (theDiv != null) {
		theDiv.style.width = '80%';
		theDiv.style.visibility = 'visible';
		theDiv.style.height = '100px';
		theDiv.style.background = 'lightyellow';
		theDiv.style.border = 'darkgray 1px solid';
		theDiv.innerHTML = '<h3>Generating Report</h3>' + theDiv.innerHTML;
    }
}
