
//AJAX Global

var isIE = false;
var req;
var prev_status = "0";

$(document).ready(function() {
	$("#callform").submit(function () {
		var telnum = $("input[name='telno'");
		var num2 = telnum.val().replace(/[\s\x2d]+/g,'');
		telnum.val(num2);
	});
});

function loadXMLDoc(url) {
    if (window.XMLHttpRequest) {
        req = new XMLHttpRequest();
        req.onreadystatechange = processReqChange;
        req.open("GET", url, true);
        req.send(null);
    } else if (window.ActiveXObject) {
        isIE = true;
        req = new ActiveXObject("Microsoft.XMLHTTP");
        if (req) {
            req.onreadystatechange = processReqChange;
            req.open("GET", url, true);
            req.send();
        }
    }
}

function getElementTextNS(prefix, local, parentElem, index) {
    var result = "";
    if (prefix && isIE) {
        result = parentElem.getElementsByTagName(prefix + ":" + local)[index];
    } else {
        result = parentElem.getElementsByTagName(local)[index];
    }
    if (result) {
        if (result.childNodes.length > 1) {
            return result.childNodes[1].nodeValue;
        } else {
            if (result.firstChild != null)
            {
                return result.firstChild.nodeValue;    		                
            }
            else
            {
                return "";
            }
        }
    } else {
        return "";
    }
}

//User.js

function processReqChange() {
    if (req != null)
    {
        if (req.readyState == 4) {
            if (req.status == 200) {
                ipxresponse();
                document.getElementById("ajax_loading").style.visibility = "hidden";
            } 
            //else { "processReqChange: There was a problem retrieving the XML data:\n" + req.statusText;        }
        }
        else
        {
            if (document.getElementById("ajax_loading") != null)
                document.getElementById("ajax_loading").style.visibility = "visible";
        }    
    }    
}

function SetPhoneUpdateTimer(newInterval)
{
    if (PhoneIntervalValue != newInterval)
    {
        PhoneIntervalValue = newInterval;
        window.clearInterval(PhoneIntervalId);
        PhoneIntervalId = window.setInterval("loadXMLDoc(updateurl,phonetype);",newInterval);
        //console.log('SetPhoneUpdateTimer: '+newInterval);
    }
}

function isNull(val){return(val==null);}

var current_details_html;

function hangup_click(obj,callId) {
	var row = $(obj).parents("tr")[0];
	loadXMLDoc(updateurl + "&action=clear&call=" +callId);
	$(row).hide();
	SetPhoneUpdateTimer(3000);
}

function ipxresponse(){
    var s;
    
    // SpliceCom
    if (phonetype == 0)
    {
        s = "<table border=1 cellspacing=0 cellpadding=3>";
        
        try
        {        
            var connected = getElementTextNS("", "connected", req.responseXML, 0);
            var error = getElementTextNS("", "error", req.responseXML, 0);
            
            var calls = req.responseXML.getElementsByTagName("call");
            if (error != "")
            {
                s += "<tr><Td>Sorry there was an error: " + error + "</td></tr>";
                SetPhoneUpdateTimer(5000);
            }
            else if (connected == 0)
            {
                s += "<tr><td>Unable to contact remote unit at the moment, system will attempt to reconnect in a second.</td></tr>";    
                SetPhoneUpdateTimer(3000);
            }        
            else if (calls.length > 0)
            {   
                var conferenceInProgress = false;
                var currentcall = getElementTextNS("", "currentcall", req.responseXML, 0);
                var altcall = getElementTextNS("", "altcall", req.responseXML, 0);
                SetPhoneUpdateTimer(5000);
                var gs = "";
                
                for (var i = 0; i < calls.length; i++) 
                {
                    var cid = getElementTextNS("", "callid", calls[i], 0) ;
                    var cstat = getElementTextNS("", "state", calls[i], 0) ;
                    var conferenced = getElementTextNS("", "conferenced", calls[i], 0);
                    if (cid == currentcall)
                    {
                        s += "\n<tr><td><img src=Images/Splice/AvailableSquare.png></td>";
                    }
                    else if (conferenced == "1" || conferenceInProgress == true)
                    {
                        s += "\n<tr><td><img src=Images/Splice/RingingSquare.png></td>";
                    }
                    else
                    {
                        s += "\n<tr><td><img src=Images/Splice/BusySquare.png></td>";
                    } 
                    s += "<td>";

                    if (cstat == 4)
                        s += "Proceding";
                    else if (cstat == 5)
                        s += "Establishing";
                    else if (cstat == 6)
                        s += "Ringing (OutGoing)";
                    else if (cstat == 9)
                        s += "Ringing (Incoming)";
                    else if (cstat == 7)
                        s += "Connected";
                    else if (cstat == 8)
                        s += "Disconnecting";
                    s+= "</td>";
                                        
                    if (conferenced  == "1")
                    {
                        conferenceInProgress = true;
                    }
                   
                    s += "<td>" + getElementTextNS("", "local_cn", calls[i], 0) + " " + getElementTextNS("", "local_telephone", calls[i], 0) + "</td>";
                    s += "<td>" + getElementTextNS("", "cn", calls[i], 0) + " " + getElementTextNS("", "telephone", calls[i], 0) + "</td>";
                    
                    if (calls.length > 1 && cid == altcall && conferenced == "0" && conferenceInProgress == false)
                    {
                        if(cstat == 9)
                        {
                            s += "<td><a target=\"resultframe\" href=\"" + actionurl + "&callid=" + altcall + "&submit=SwitchPickup\" onclick=\"DelayPhonePoll()\">Switch Call</a></td>";
                        }
                        else
                        {
                            s += "<td><a target=\"resultframe\" href=\"" + actionurl + "&callid=" + altcall + "&submit=Switch\" onclick=\"DelayPhonePoll()\">Switch Call</a></td>";
                        }
                    }
                    else if (calls.length > 1)
                    {
                        s += "<td></td>";
                    }
                    
                    s += "<td><a target=resultframe href=" + actionurl + "&callid=" + cid + "&submit=release onclick=DelayPhonePoll()>Hangup</a></td>";
                    if (cstat == 9)
                    {
						s += "<td><a target=resultframe href=" + actionurl + "&callid=" + cid + "&submit=Answer onclick=DelayPhonePoll()>Answer</a></td>";
                        s += "<td><a target=resultframe href=" + actionurl + "&callid=" + cid + "&submit=vm onclick=DelayPhonePoll()>Transfer to VM</a></td>";
                    }
                    if (getElementTextNS("", "recording", calls[i], 0) == 0)
                    {
                        s += "<td><a target=resultframe href=" + actionurl + "&callid=" + cid + "&submit=Record onclick=DelayPhonePoll()>Record</a></td>";
                    }
                    else
                    {   
                        s += "<td><a target=resultframe href=" + actionurl + "&callid=" + cid + "&submit=Record onclick=DelayPhonePoll()>Cancel Recording</a></td>";   
                    }

                    //s += "<td>Rec(" + getElementTextNS("", "recording", calls[i], 0) + ") CallStat(" + getElementTextNS("", "state", calls[i], 0) + ") In(" + getElementTextNS("", "incoming", calls[i], 0) + ") Conf(" + getElementTextNS("", "conferenced", calls[i], 0) + ")</td>";
                    s += "</tr>"        
                }
                s+= "</table>";
                
                if(calls.length == 2 && getElementTextNS("", "state", calls[0], 0) > 6 && getElementTextNS("", "state", calls[1], 0) > 6)
                {
                    s+= "<table width=40%>";
                    if (conferenceInProgress == true)
                    {
                        s += "<td colspan=3 align=middle><a target=\"resultframe\" href=\"" + actionurl + "&callid=" + currentcall + "&submit=Conf\" onclick=DelayPhonePoll()>Breakup Conference</a></td>";
                    }
                    else
                    {
                        s += "<td colspan=3 align=middle><a target=\"resultframe\" href=\"" + actionurl + "&callid=" + currentcall + "&submit=Conf\" onclick=DelayPhonePoll()>Conference</a></td>";					
                    }				
                
                    s += "<td colspan=3 align=center><a target=\"resultframe\" href=\"" + actionurl + "&callid=" + currentcall + "&scallid=" + altcall + "&submit=Connect\" onclick=\"DelayPhonePoll()\">Complete Transfer</a></td>";
                    s+= "</table>";                    
                }                
            }
            else
            {   
                SetPhoneUpdateTimer(15000);
                s += "<tr><td>No calls are active</td></tr></table>";   
            }
        }
        catch (err)
        {
            s += "<tr><td>Unable to contact your system</td></tr></table>"
            //s += "<tr><td>" + err + "</td></tr></table>" ;
        }
    }
    else
    {   //H323 or Sip
        //s = "H323 / SIP Reponse"; 
        
        s = "<table border=1 cellspacing=0 cellpadding=3>";
        var connected = getElementTextNS("", "connected", req.responseXML, 0);
		var callbutton = $("#callbutton");
       
        var calls = req.responseXML.getElementsByTagName("call");
        if (connected == 0)
        {
            s += "<tr><td>Unable to contact remote unit at the moment, system will attempt to reconnect in a second.</td></tr>";    
            SetPhoneUpdateTimer(3000);
        }        
        else if (calls.length > 0)
        {   
            SetPhoneUpdateTimer(5000);
            for (var i = 0; i < calls.length; i++) 
            {
                //var cid = getElementTextNS("", "callid", calls[i], 0) ;
                //var cstat = getElementTextNS("", "state", calls[i], 0) ;
                if (getElementTextNS("", "targets", calls[i], 0) == "")
                {
                    s += "\n<tr gbgcolor=lightyellow><td><img src=Images/Splice/AvailableSquare.png></td>";
                }
                else
                {
                    s += "\n<tr gbgcolor=lightyellow><td><img src=Images/Splice/RingingSquare.png></td>";
                }
                
                s += "<td>" + getElementTextNS("", "sourceName", calls[i], 0)
                	+ "</td><td>" + getElementTextNS("", "sourceNumber", calls[i], 0)
                	+ "</td><td>" + getElementTextNS("", "targetName", calls[i], 0)
                	+ "</td><td>" + getElementTextNS("", "targetNumber", calls[i], 0)
                	+ "</td><td><input onclick=\"hangup_click(this,'" + getElementTextNS("", "GUID", calls[i], 0) + "')\" type=\"button\" style=\"width: 75px;\" value=\"Hangup\"></td><tr>";
            }
                
			// for non-Splicecom phone, hide call button as can't make an additional call
			if (callbutton)
				callbutton.hide();
        }
        else
        {
			if (callbutton)
				callbutton.show();
                	
            SetPhoneUpdateTimer(15000);
            s += "<tr><td>No calls are currently active</td></tr>";
        }
        s+= "</table>";
    }
    
    if (s != current_details_html)
    {
		document.getElementById("details").innerHTML = s;
		current_details_html = s;
    }
}
//Alt AJAX Global - For independant 

var areq;

function aloadXMLDoc(url,type) {
    if (window.XMLHttpRequest) {
        if (areq != null)
        {
            try
            {
                areq.onreadystatechange = null;
                areq.abort();    
            }
            catch (errr)
            {
                alert(errr);                    
            }
        }
        areq = new XMLHttpRequest();
        areq.onreadystatechange = aprocessReqChange;
        areq.open("GET", url, true);
        areq.send(null);
    } else if (window.ActiveXObject) {
        isIE = true;
        areq = new ActiveXObject("Microsoft.XMLHTTP");
        if (areq) {
            areq.onreadystatechange = aprocessReqChange;
            areq.open("GET", url, true);
            areq.send();
        }
    }
}

function aprocessReqChange() {
    if (areq != null)
    {
        if (areq.readyState == 4) {
			try
			{
				if (areq.status == 200) {
					aipxresponse(0);
				}
			}
			catch (err) 
			{
			
			}			
            //else { "There was a problem retrieving the XML data:\n" + areq.statusText; }
        }
    }
    // else  { document.getElementById("ajax_loading").style.visibility = "visible";  }
}

function call(atelno)
{
    try
    {   
        document.forms['webphoneForm'].telno.value = atelno;
        document.forms['webphoneForm'].submitcall.click();
        //document.webphoneForm.submit();
    }
    catch (err)
    {
        //alert(err);
        document.getElementById("contacts").innerHTML = err;
    }
}

var DelayAReqId = 0;
var DelayLoadAReqCommand = "LoadContacts();";
function DelayLoadAReq()
{
    if (DelayAReqId != 0)
    {
        window.clearTimeout(DelayAReqId);
    }
    DelayAReqId = window.setTimeout(DelayLoadAReqCommand,500);
}

var EditContact = true;

function LoadContacts()
{
    try
    {
        var a_url = contacturl + '&search=' + document.forms['webphoneForm'].telno.value;
        aloadXMLDoc(a_url);
    }
    catch (err)
    {
        //alert('loadcontacts err:: ' + err);
    }
}

function ContactFormat(format,record, field)
{
    var vals = getElementTextNS("", field, record, 0);
    if (format == 0 && vals != "")
    {
    	if (vals.length < 9)
			return "<td class=contacts><A href=# onclick=\"call('" + vals + "'); return false;\">" + vals + "</a></td>\n";
			
		return "<td class=contacts><A href=# onclick=\"call('" + vals + "'); return false;\" title=\"" + vals + "\">" + vals.substr(0,5) + "..." + "</a></td>\n";
    }
    else if (format != 0 && vals != "")
    {
        if (field == "telephoneNumber" && getElementTextNS("", "voicemail", record, 0) == "1")
        {
            var guid = getElementTextNS("", "GUID", record, 0);        
            var cn = getElementTextNS("", "cn", record, 0);
            return"<td class=contacts><a href=# id=maillnk onclick=\"SendVM2Mailbox('" + guid + "','" + cn + "'); return false;\">Send Message to " + cn + "'s Mailbox</a></td>";      
        }
        else if (field == "mail")
        {
            return"<td class=contacts><a href=# id=emaillnk onclick=\"SendVM2Email('" + vals + "'); return false;\">Send Message to " + vals + "</a></td>";      
        }       
        else{
            return "<td class=contacts id="+field+">&nbsp;</td>";            
        }    
    }
    else
    {
        return "<td class=contacts id="+field+">&nbsp;</td>";        
    }
}

var current_contacts_html;

function aipxresponse(format)
{
    var s = "<table cellspacing=0 cellpadding=2 width=100% class=contacts>";
    try
    {
        if (format == 1)
        {
            document.MessageForward.SendToMailboxBtn.disabled = true;                
            document.MessageForward.SendByEmailBtn.disabled = true;
        }
        
        var contacts = areq.responseXML.getElementsByTagName("contact");
        if (contacts.length > 0)
        {   
            s += "<tr>";
            if (format == 0)
            {   
                s += "<th class=contacts bordercolor=white>State</th><th class=contacts>Type</th><th class=contacts>Name</th><th class=contacts>Company</th><th class=contacts>Tel</th><th class=contacts>Home</th><th class=contacts>Mobile</th><th class=contacts>Spare1</th><th class=contacts>Spare2</th></tr>";
            }
            else if (format == 1)
            {
                s += "<th class=contacts>Type</th><th class=contacts>Name</th><th class=contacts>Mailbox</th><th class=contacts>Email</th></tr>";
            }
            else if (format == 2)
            {
                s += "<th class=contacts>Type</th><th class=contacts>Name</th><th class=contacts>Email</th></tr>";                
            }
            
            for (var i = 0; i < contacts.length; i++) 
            {
                s += "<tr>";
                var con_type = getElementTextNS("", "objectclass", contacts[i], 0);
                //var telLength = getElementTextNS("", "telephoneNumber", contacts[i], 0).length;
                if (format == 0 && (con_type == "User" || con_type == "Department" ))//|| (con_type == "SpeedDial" && (telLength == 4 || telLength == 3))
                {
                    if ( getElementTextNS("", "blfState", contacts[i], 0) == "rg")
                    {
                        s += "<td class=contacts><img src=Images/Splice/RingingSquare.png alt='Ringing'></td>";
                    }
                    else if ( getElementTextNS("", "blfState", contacts[i], 0) == "bz")
                    {
                        s += "<td class=contacts><img src=Images/Splice/BusySquare.png alt='Busy'></td>";
                    }
                    else
                    {
                        s += "<td class=contacts><img src=Images/Splice/AvailableSquare.png alt='Idle'></td>";
                    }
                }
                else if (format == 0)
                {
                    s += "<td class=contacts>&nbsp;</td>";                    
                }
                
                if (format == 0 && con_type  == "SpeedDial")
                {   //Speed Dials
                    s += "<td class=contacts>SpeedDial</td>"
                    s += "<td class=contacts><a href=" + contactediturl.replace("phone.contact.edit","setting.speeddial.detail") + "&index=" + getElementTextNS("", "GUID", contacts[i], 0) + ">" + getElementTextNS("", "cn", contacts[i], 0) + "</a></td>";
                    s += "<td class=contacts>&nbsp;</td>";
                    s += ContactFormat(format,contacts[i],"telephoneNumber");
                    s += "<td class=contacts>&nbsp;</td><td class=contacts>&nbsp;</td><td class=contacts>&nbsp;</td><td class=contacts>&nbsp;</td>";
                }
                else if (con_type == "User")
                {   //Users
                    s += "<td class=contacts>User</td>"
                    s += "<td class=contacts>" + getElementTextNS("", "cn", contacts[i], 0) + "</td>";         
                    if (format == 0)
                    {
                        s += "<td class=contacts>&nbsp;</td>";
                        s += ContactFormat(format,contacts[i],"telephoneNumber");
                        s += ContactFormat(format,contacts[i],"homeTelephone");
                        s += ContactFormat(format,contacts[i],"mobileTelephone");
                        s += ContactFormat(format,contacts[i],"spare1Telephone");
                        s += ContactFormat(format,contacts[i],"spare2Telephone");    
                    }
                    else if (format ==1)
                    {
                        s += ContactFormat(format,contacts[i],"telephoneNumber");
                        s += ContactFormat(format,contacts[i],"mail");
                    }
                    else
                    {
                        s += ContactFormat(format,contacts[i],"mail");
                    }
                }
                else if (con_type == "Department" && format != 2)
                {   //Users
                    s += "<td class=contacts>Department</td>"
                    s += "<td class=contacts>" + getElementTextNS("", "cn", contacts[i], 0) + "</td>";         
                    s += "<td class=contacts>&nbsp;</td>";
                    s += ContactFormat(format,contacts[i],"telephoneNumber");
                    s += "<td class=contacts>&nbsp;</td><td class=contacts>&nbsp;</td><td class=contacts>&nbsp;</td><td class=contacts>&nbsp;</td>";
                }
                else if (con_type == "Group" && format != 2)
                {
                    s += "<td class=contacts>Group</td>";
                    var guid = getElementTextNS("", "GUID", contacts[i], 0);        
                    var cn = getElementTextNS("", "cn", contacts[i], 0);
                    s += "<td class=contacts>" + cn + "</td>";         
                    s += "<td class=contacts>&nbsp;</td>";
                    s += "<td class=contacts><a href=# id=maillnk onclick=\"SendVM2Mailbox('" + guid + "','" + cn + "'); return false;\">Send Message to " + cn + "'s Mailbox</a></td>";                    
                }
                else if (con_type == "Contact")
                {   //Contacts
                    s += "<td class=contacts>Contact</td>"
                    if (format == 0)
                    {   
                        if (EditContact == true)
                            s += "<td class=contacts><A href=" + contactediturl + "&index=" + getElementTextNS("", "GUID", contacts[i], 0) + ">"+ getElementTextNS("", "cn", contacts[i], 0) + "</a></td>"; 
                        else
                            s += ContactFormat(format,contacts[i],"cn");
                        s += "<td class=contacts>" + getElementTextNS("", "companyName", contacts[i], 0) + " &nbsp;</td>";
                        s += ContactFormat(format,contacts[i],"telephoneNumber");
                        s += ContactFormat(format,contacts[i],"homeTelephone");
                        s += ContactFormat(format,contacts[i],"mobileTelephone");
                        s += ContactFormat(format,contacts[i],"spare1Telephone");
                        s += ContactFormat(format,contacts[i],"spare2Telephone");                        
                    }
                    else
                    {
                        s += "<td class=contacts>" + getElementTextNS("", "cn", contacts[i], 0) + "</TD>";
                        if (format == 1)
                            s += "<td class=contacts></TD>";
                        s += ContactFormat(format,contacts[i],"mail");                        
                    }
                }
//                else
//                {
//                    s += "<td class=contacts>" + getElementTextNS("", "objectclass", contacts[i], 0) + "</TD>";
//                    s += "<td class=contacts></TD>";                   
//                    
//                }
                s += "</tr>\n";
            }
            s+= "</table>";
        }
        else
        {   
        	if ((typeof document.forms["MessageForward"] != "undefined") && (document.forms["MessageForward"].search.value == ""))
			{
				s += "<tr><td class=contacts>Contact information will be displayed when searched for.</td></tr></table>";
			}
			else
			{
				s += "<tr><td class=contacts>No contacts in search Criteria</td></tr></table>";    
            }
        }
        if (format == 1 && contacts.length == 1)
        {
            if (getElementTextNS("", "voicemail", contacts[0], 0) == 1)
            {
                document.MessageForward.SendToMailboxBtn.disabled = false;                
            }
            if (getElementTextNS("", "mail", contacts[0], 0) != "")
            {
                document.MessageForward.SendByEmailBtn.disabled = false;
            }
        }        
    }
    catch (err)
    {
        if (format ==1 )
        {   
            s += "<tr><td class=contacts>Unable to contact your system</td></tr></table>"
            s += "<tr><td class=contacts>" + err + "</td></tr></table>" ;  
            //s += areq.responseText;
        }
    }
    
    if (s != current_contacts_html)
    {
    	document.getElementById("contacts").innerHTML = s;
    	current_contacts_html = s;
	}
}

// VM 

function LdapSearch(searchType)
{
    try
    {
        if (document.forms["MessageForward"].search.value.indexOf('@') == -1)
        {            
            var url = searchurl + '&search=' + document.forms["MessageForward"].search.value;
            if (window.XMLHttpRequest) {
                areq = new XMLHttpRequest();
                if (searchType == 0)
                    areq.onreadystatechange = vmReqChange;
                else
                    areq.onreadystatechange = vrReqChange;
                areq.open("GET", url, true);
                areq.send(null);
            } else if (window.ActiveXObject) {
                isIE = true;
                areq = new ActiveXObject("Microsoft.XMLHTTP");
                if (areq) {
                    if (searchType == 0)
                        areq.onreadystatechange = vmReqChange;
                    else
                        areq.onreadystatechange = vrReqChange;
                    areq.open("GET", url, true);
                    areq.send();
                }
            }   
        } 
        else
        {
            document.MessageForward.SendByEmailBtn.disabled = false;
        }
    }
    catch (err)
    {
        alert('VMSearch err:: ' + err);
    }
}

function vmReqChange() {
    if (areq != null)
    {
        if (areq.readyState == 4) {
            if (areq.status == 200) {
                aipxresponse(1);
            } 
            //else { "There was a problem retrieving the XML data:\n" + areq.statusText; }
        } 
        // else  { document.getElementById("ajax_loading").style.visibility = "visible";  }    
    }    
}

function vrReqChange() {
    if (areq != null)
    {
        if (areq.readyState == 4) {
            if (areq.status == 200) {
                aipxresponse(2);
            } 
            //else { "There was a problem retrieving the XML data:\n" + areq.statusText; }
        } 
        // else  { document.getElementById("ajax_loading").style.visibility = "visible";  }    
    }    
}

//Option 1 = mailbox 2=mail
function VMFindDetails(option)
{ 
    try
    {
        if (document.forms["MessageForward"].search.value.indexOf('@') == -1)
        {
            var contacts = areq.responseXML.getElementsByTagName("contact");
            if (contacts.length==1)
            {
                //alert('VM FIND DETAILScn(' + getElementTextNS("", "cn", contacts[0], 0) + ')guid('+ getElementTextNS("", "guid", contacts[0], 0) + ')mail('+ getElementTextNS("", "mail", contacts[0], 0)+ ')');
                if (option == 1)
                {
                    
                    SendVM2Mailbox(getElementTextNS("", "GUID", contacts[0], 0),getElementTextNS("", "cn", contacts[0], 0));
                }
                else
                {
                    SendVM2Email(getElementTextNS("", "mail", contacts[0], 0));
                }
            }    
        }
        else
        {
            SendVM2Email(document.forms["MessageForward"].search.value);            
        }        
    }
    catch (err)
    {
        alert('error');
    }
}

function SendVM2Mailbox(guid,cn)
{
    var url = forwardurl + '&destguid=' + guid + '&cn=' + cn;
    frames['actionframe'].location.href = url;
}

function SendVM2Email(email)
{
    var url = forwardurl + '&emailto=' + email;
    frames['actionframe'].location.href = url;
}

// Quick Dial


var DelayQReqId = 0;
var DelayLoadQReqCommand = "qloadAjax();";
function DelayLoadQReq()
{
    if (DelayQReqId != 0)
    {
        window.clearTimeout(DelayQReqId);
    }
    DelayQReqId = window.setTimeout(DelayLoadQReqCommand,1000);
}


var qreq;

function qloadAjax()
{
    if (window.XMLHttpRequest) {
        qreq = new XMLHttpRequest();
        qreq.onreadystatechange = qReqChange;
        qreq.open("GET", quickdialurl, true);
        qreq.send(null);
    } else if (window.ActiveXObject) {
        isIE = true;
        qreq = new ActiveXObject("Microsoft.XMLHTTP");
        if (qreq) {
            qreq.onreadystatechange = qReqChange;
            qreq.open("GET", quickdialurl, true);
            qreq.send();
        }
    }        
}

function qReqChange()
{
    if (qreq != null)
    {
        if (qreq.readyState == 4) {
            if (qreq.status == 200) {
                QuickDial();
                document.getElementById("qajax_loading").style.visibility = "hidden";
                DelayLoadQReq();
            } 
            else if (qreq.status >= 400)
            {
                document.getElementById("qajax_loading").style.visibility = "hidden";
                document.getElementById("qajax_failed").style.visibility = "visible";
            }
        }
        else
        {
            if (document.getElementById("qajax_loading") != null)
            {
                document.getElementById("qajax_loading").style.visibility = "visible";
                document.getElementById("qajax_failed").style.visibility = "hidden";
            }
        }
    }
}

var current_qd_html;

function addQD(e)
{
	var h="";
	var cn = getElementTextNS("", "cn", e, 0) ;
	var telephoneNumber = getElementTextNS("", "telephoneNumber", e, 0) ;
	var blfState = getElementTextNS("", "blfState", e, 0);

	if (blfState == "bz")
	{
		h = "<tr><td class=contacts><img src=Images/Splice/BusySquare.png alt='Busy' valign=middle></td><td class=contacts>" + cn + "</td></tr>";
	}
	else if (blfState == "rg")
	{
		if (phonetype == "0")
		{
			var lnk = "<a target=\"resultframe\" href=\"" + actionurl + "&name=" + telephoneNumber + "&telno=" + telephoneNumber + "&submit=PickUp\" onclick=\"DelayPhonePoll()\">";
			h = "<tr><td class=contacts>" + lnk + "<img src=Images/Splice/RingingSquare.png alt='Ringing' valign=middle></a></td><td class=contacts>" + cn + "</a></td></tr>";                    
		}
		else
		{
			h = "<tr><td class=contacts><img src=Images/Splice/RingingSquare.png alt='Ringing' valign=middle></td><td class=contacts>" + cn + "</td></tr>";                    
		}
	}
	else 
	{
		var lnk = "<a href=# onclick=\"call('" + telephoneNumber + "');return false\">";
		h = "<tr><td class=contacts>" + lnk + "<img src=Images/Splice/AvailableSquare.png alt='Idle' valign=middle></a></td><td class=contacts>" + cn + "</a></td></tr>";
	}
	return h;
}

function QuickDial()
{
	if ((typeof qreq.responseXML == "undefined") || (qreq.responseXML == null) || (typeof qreq.responseXML.getElementsByTagName == "undefined"))
		return;
		
	var qgroup = sessionStorage.getItem('qgroup');
	if (qgroup == null)
		qgroup = "";
    var qd = qreq.responseXML.getElementsByTagName("QuickDials");
    var s= "<table cellspacing=0 cellpadding=2 class=contacts>";
    if (qd.length > 0)
    {   
        var child_nodes = qd[0].childNodes;
        
        if (qgroup.length == 0)
        {
			for (var i = 0; i < child_nodes.length; i++) 
			{
				var e = child_nodes[i];
				if (e.tagName == "Entry")
				{
					s += addQD(e);
				}
				else if (e.tagName == "Folder")
				{
					var fe = e.getElementsByTagName("fn");
					var fn = "";
					if (fe.length > 0)
						fn = getElementTextNS("", "fn", e, 0);

					s += "<tr><td class=contacts><img src=Images/Splice/folder.png alt='Folder' valign=middle onclick=\"sessionStorage.setItem('qgroup', '"+ fn +"')\"></td><td class=contacts>" + fn + "</td></tr>";
				}
			}
        }
        else
        {
        	var i;
        	var e;
        	
			for (i=0; i < child_nodes.length; i++) 
			{
				e = child_nodes[i];
				if (e.tagName != "Folder")
					continue;
				var fe = e.getElementsByTagName("fn");
				var fn = "";
				if (fe.length > 0)
					fn = getElementTextNS("", "fn", e, 0);
				if (fn == qgroup)
					break;
			}
			
			s += "<tr><td class=contacts><img src=Images/Splice/folderup.png alt='Folder Up' valign=middle onclick=\"sessionStorage.removeItem('qgroup')\"></td><td class=contacts></td></tr>";
			
			if (i < child_nodes.length)
			{
				var members = e.childNodes;
				for (i=0; i < members.length; i++) 
				{
					if (members[i].tagName == "Entry")
						s += addQD(members[i]);
				}
			}
        }
    }
    s += "</table>";
    if (s != current_qd_html)
    {
    	document.getElementById("quickdialdiv").innerHTML = s;
    	current_qd_html = s;
    }
    
    // if the busy status of the user has changed, do a quick refresh of the Current Calls panel ...
  
    var status = getElementTextNS("", "status", qreq.responseXML, 0);
    if ((status==null) || (status==""))
    	status = "0";
    
    if (status != prev_status)
        SetPhoneUpdateTimer(100);

    prev_status = status;
}


function TCvalidateNumeric(txtField,length)
{
    var strValidChars = "0123456789";
    var strChar;
    var strString;
    var blnResult = true;
    
    strString = txtField.value;
    
    if (strString.length == 0) 
        return false;
    
    var alarm = false;
    var alarmtxt = "";
    //  test strString consists of valid characters listed above
    for (i = 0; i < strString.length && blnResult == true; i++)
    {
        strChar = strString.charAt(i);
        if (strValidChars.indexOf(strChar) == -1)
        {
            alarm = true;
            alarmtxt = "Sorry this field will only accept 4 digit numbers";
        }
    }
    
    if (alarm == false && (strString.length > length || (strString.length < length && strString.length != 0)))
    {
        alarm = true;
        alarmtxt = "Sorry this field will only accept 4 digit numbers";
    }
    
    if (alarm == true)
    {
        if (txtField.style.background != "pink")
        {   
            alert(alarmtxt);
            txtField.style.background = "pink";
        }
    }
    else
    {
        txtField.style.background = "white";
    }
    
    return blnResult;
}