BEGIN {
	ok=0;
	FS="[\t ]+";
	if (length(section)==0) exit 1;
	if (length(keyword)==0) exit 1;
	update = (length(value) > 0);
	insection=0;
	sectionfound=0;
	found=0;
	added=0;
	ok=1;
}
{
	if (insection) {
		if (substr($1,1,1)=="[") {
			insection=0;
			if (!found && update) {
				printf "%s = %s\n\n", keyword, value;
				added=1;
			}
		}
		if (update) {
			if (($1 == keyword) && ($2=="=")) {
				found=1;
				added=1;
				printf "%s = %s\n", keyword, value;
			} else
				print $0;
		} else if (($1 == keyword) && ($2=="=")) {
			found=1;
				print $3;
			exit 0;
		}
	} else {
		if (update)
			print $0;

		if ($1=="[" section "]") {
			insection=1;
			sectionfound=1;
		}
	}
}
END {
	if (ok) {
		if (update && !added) {
			if (!sectionfound)
				printf "\n[%s]\n", section;
			printf "%s = %s\n", keyword, value;
		}
		exit 0
	}
}

